Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoTabBoxManip Class Reference
[Manipulators]

The SoTabBoxManip class wraps an SoTabBoxDragger. More...

`#include <Inventor/manips/SoTabBoxManip.h>`

Inheritance diagram for SoTabBoxManip:

List of all members.

## Public Methods
| SoTabBoxManip (void)
## Static Public Methods
void | initClass (void)
## Protected Methods
| ~SoTabBoxManip ()

## Detailed Description

The SoTabBoxManip class wraps an SoTabBoxDragger.

The SoTabBoxManip provides a convenient mechanism for the application programmer for setting up an SoTabBoxDragger in the scene connected to the relevant fields of an SoTransform node.

The interaction from the end-user with the manipulator will then automatically influence the transformation matrix for the geometry following it in the scenegraph.

## Constructor & Destructor Documentation

SoTabBoxManip::SoTabBoxManip | ( | void |  | ) |

| Constructor sets us up with an SoTabBoxDragger for manipulating a transformation.

SoTabBoxManip::~SoTabBoxManip | ( |  | ) | `[protected]`

| Protected destructor. (SoHandleBoxManip is automatically destructed when it's reference count goes to 0.)

## Member Function Documentation

void SoTabBoxManip::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoTransformManip.

The documentation for this class was generated from the following files:

- SoTabBoxManip.h
- SoTabBoxManip.cpp